Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITreeNode

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractTreeNode
                  org.richfaces.component.UITreeNode

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.TreeToggleSource

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class UITreeNode

extends AbstractTreeNode
implements javax.faces.component.behavior.ClientBehaviorHolder

The component is a child component of the component. It represents nodes in the parent tree. The appearance and functionality of each tree node can be customized.

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UITreeNode.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTreeNode
`SUBTREE_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UITreeNode()`

Method Summary
`String` | `getDefaultEventName()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHandleClass()`
`String` | `getIconClass()`
`String` | `getIconCollapsed()`
`String` | `getIconExpanded()`
`String` | `getIconLeaf()`
`String` | `getLabelClass()`
`String` | `getLang()`
`String` | `getOnbeforetoggle()` The client-side script method to be called before the node is toggle.
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOntoggle()` The client-side script method to be called after the node is toggle.
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`String` | `getType()` The type of the this component.
`boolean` | `isImmediate()`
`void` | `setDir(String dir)`
`void` | `setHandleClass(String handleClass)`
`void` | `setIconClass(String iconClass)`
`void` | `setIconCollapsed(String iconCollapsed)`
`void` | `setIconExpanded(String iconExpanded)`
`void` | `setIconLeaf(String iconLeaf)`
`void` | `setImmediate(boolean immediate)`
`void` | `setLabelClass(String labelClass)`
`void` | `setLang(String lang)`
`void` | `setOnbeforetoggle(String onbeforetoggle)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOntoggle(String ontoggle)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`
`void` | `setType(String type)`

Methods inherited from class org.richfaces.component.AbstractTreeNode
`addTreeToggleListener, broadcast, encodeMetaComponent, findTreeComponent, getIterationState, getLocalExpandedValue, getTreeToggleListeners, isExpanded, queueEvent, removeTreeToggleListener, resolveClientId, setExpanded, setIterationState, substituteUnresolvedClientId, visitTree`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UITreeNode

    public UITreeNode()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractTreeNode`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getDir

    public String getDir()

### setDir

    public void setDir(String dir)

### getHandleClass

    public String getHandleClass()

### setHandleClass

    public void setHandleClass(String handleClass)

### getIconClass

    public String getIconClass()

### setIconClass

    public void setIconClass(String iconClass)

### getIconCollapsed

    public String getIconCollapsed()

### setIconCollapsed

    public void setIconCollapsed(String iconCollapsed)

### getIconExpanded

    public String getIconExpanded()

### setIconExpanded

    public void setIconExpanded(String iconExpanded)

### getIconLeaf

    public String getIconLeaf()

### setIconLeaf

    public void setIconLeaf(String iconLeaf)

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in class `AbstractTreeNode`

### setImmediate

    public void setImmediate(boolean immediate)

### getLabelClass

    public String getLabelClass()

### setLabelClass

    public void setLabelClass(String labelClass)

### getLang

    public String getLang()

### setLang

    public void setLang(String lang)

### getOnbeforetoggle

    public String getOnbeforetoggle()

  Description copied from class: `AbstractTreeNode`
  The client-side script method to be called before the node is toggle.

  Specified by:
    `getOnbeforetoggle` in class `AbstractTreeNode`

### setOnbeforetoggle

    public void setOnbeforetoggle(String onbeforetoggle)

### getOnclick

    public String getOnclick()

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnkeydown

    public String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnmousedown

    public String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOntoggle

    public String getOntoggle()

  Description copied from class: `AbstractTreeNode`
  The client-side script method to be called after the node is toggle.

  Specified by:
    `getOntoggle` in class `AbstractTreeNode`

### setOntoggle

    public void setOntoggle(String ontoggle)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getType

    public String getType()

  Description copied from class: `AbstractTreeNode`
  The type of the this component. More treeNodes could be defined in tree with different types and it is decided about which is used for rendering by nodeType expression of tree component.

  Specified by:
    `getType` in class `AbstractTreeNode`

### setType

    public void setType(String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.